#!/usr/bin/sh
if test -f /etc/oss.conf
then
  . /etc/oss.conf
else
  OSSLIBDIR=/usr/lib/oss
fi

/usr/bin/soundoff

rm -rf /usr/lib/modules/`uname -r`/extramodules/oss

if test -x /usr/bin/chkconfig 
then /usr/bin/chkconfig oss off > /dev/null 2>&1
else
  if test -x /usr/bin/update-rc.d
  then /usr/bin/update-rc.d -f oss remove > /dev/null 2>&1
  fi
fi

if ! test -d /usr/lib/modules/`uname -r`/kernel/sound
then
   if test -f /usr/lib/modules/`uname -r`/sound-preoss.tar.bz2
   then
     (cd /usr/lib/modules/`uname -r`; tar xfj sound-preoss.tar.bz2)
     /usr/bin/depmod -a
   fi
fi

rm -f /usr/lib/modules/`uname -r`/sound-preoss.tar.bz2

if test -f $OSSLIBDIR/sysfiles.list
then
	rm -f `cat $OSSLIBDIR/sysfiles.list`
fi

if test -f $OSSLIBDIR/save/alsadevs.tar.bz2
then
  (cd /;tar xfj $OSSLIBDIR/save/alsadevs.tar.bz2)
fi

if test -f $OSSLIBDIR/save/alsarc/tar.bz2
then
  (cd /;tar xfj $OSSLIBDIR/save/alsarc/tar.bz2)
fi

rm -f /dev/dsp* /dev/midi* /dev/mixer* /dev/sndstat

/usr/bin/ldconfig

if test -x /usr/bin/chkconfig
then
  /usr/bin/chkconfig alsasound on > /dev/null 2>&1
else
  if test -x /usr/bin/update-rc.d
  then
    /usr/bin/update-rc.d alsa-utils defaults > /dev/null 2>&1
  fi
fi

exit 0
